 datablock PlayerData(NinjaZombie : PlayerStandardArmor)
{
	//category = "Vehicles";
	minJetEnergy = 0;
	jetEnergyDrain = 0;
	canJet = 0;
	maxItems   = 0;	//total number of bricks you can carry
	maxWeapons = 0;		//this will be controlled by mini-game code
	maxTools = 0;
	runforce = 100 * 90;
	maxForwardSpeed = 12;
	maxBackwardSpeed = 12;
	maxSideSpeed = 12;
	attackpower = 10;
	//jumpsound = "ZombieJumpSound";
	cameradefaultFOV = 90;
	cameraMaxFov = 120;
	cameraMinFov = 10;
	//minlookangle = -1;
	//maxlookangle = -1;
	minlookangle = -1.5708;
	maxlookangle = 1.5708;
	BrickDestroyMaxVolume = 250;
	BrickMaxJumpHeight = 30;
	uiName = "Ninja";
	rideable = true;
	canRide = true;
	BrickKillRadius = 2;
	skinColor = "0 0 0 1";
	FollowAnim = "ArmReadyright";
	randomwalk = 1;
	aimatplayer = 1;
	SpecialAttack = 1;
	NoBloodyHands = 1;
	DoNotZombify = 1;
	chance = 90;
};
function NinjaZombie::SpecialAttack(%this,%onshot)
{
	%ran = getrandom(-1,1);
	%this.setmovex(%ran);
	schedule(0,0,NinjaShootMode,%this);
	schedule(500,0,NinjaShootMode,%this);
	schedule(1000,0,NinjaShootMode,%this);
	schedule(1500,0,NinjaShootMode,%this);
	%this.schedule(2000,clearmovex);
}
function NinjaShootMode(%this)
{
	if(%this.getstate() !$= "Dead")
	{
		%this.setimagetrigger(0,1);
		%this.setimagetrigger(0,0);
	}
}
function NinjaZombie::ondisabled(%this,%obj)
{
	parent::ondisabled(%this,%obj);
	ZombieDefault::ondisabled(%this,%obj);
}
function NinjaZombie::onCollision(%this, %obj, %col, %fade, %pos, %norm)
{
	parent::oncollision(%this, %obj, %col, %fade, %pos, %norm);
	ZombieDefault::onCollision(%this, %obj, %col, %fade, %pos, %norm);
}
function NinjaZombie::onMount(%a,%player,%vehicle,%d,%e,%f)
{
	ZombieDefault::onMount(%a,%player,%vehicle,%d,%e,%f);
	parent::onMount(%a,%player,%vehicle,%d,%e,%f);
}
function NinjaZombie::onUnMount(%a,%player,%vehicle,%d,%e,%f)
{
	ZombieDefault::onUnMount(%a,%player,%vehicle,%d,%e,%f);
	parent::onUnMount(%a,%player,%vehicle,%d,%e,%f);
}
function NinjaZombie::onAdd(%this,%obj)
{
	parent::onAdd(%this,%obj);
	ZombieDefault::onAdd(%this,%obj);
	//schedule(10,0,Ninjafy,%obj);
	schedule(15,0,Ninjafy,%obj);
	//schedule(20,0,ghostifybot,%obj);
	//%obj.playthread(2,armreadyright);
	//%obj.setarmthread(crouch);
	%obj.mountimage(Kunaiimage,0);
}

function Ninjafy(%obj)
{
	%obj.name = "Ninja";
	%obj.chestcolor = "0 0 0 1";
	%obj.hatcolor = "0 0 0 1";
	%obj.rarmcolor = "0 0 0 1";
	%obj.larmcolor = "0 0 0 1";
	%obj.hipcolor = "0 0 0 1";
	%obj.llegcolor = "0 0 0 1";
	%obj.rlegcolor = "0 0 0 1";
        %obj.skincolor = "0 0 0 1";

	%obj.chest = "0";
	%obj.lhand = "0";
	%obj.rhand = "0";
	%obj.larm = "0";
	%obj.rarm = "0";
	%obj.hat = "0";
	%obj.accent = "0";
	%obj.pack = "0";
	%obj.secondpack = "0";
	%obj.lleg = "0";
	%obj.rleg = "0";
	%obj.hip = "0";

	GameConnection::ApplyBodyParts(%obj);
	GameConnection::ApplyBodyColors(%obj);
	%obj.setfacename(evarNinja4);
	%obj.setdecalname("Midieval-tinic");
	%color = %obj.getdatablock().skincolor;
	%obj.setNodecolor($rhand[0], %color);
	%obj.setNodecolor($lhand[0], %color);
	%obj.setNodecolor("headskin", %color);
	//servercmdupdatebodyparts(%obj,6);
}
function servercmdsigheil(%client)
{
	%client.player.playthread(1,armreadyright);
	%client.player.setarmthread(armattack);
}
function servercmdunsigheil(%client)
{
	%client.player.setarmthread(look);
}
package NinjaAttackPackage
{
function ProjectileData::onCollision(%this,%obj,%col,%fade,%pos,%normal)
{
	if(isobject(%obj.sourceobject) && %obj.sourceobject.getdatablock().getname() $= "NinjaZombie")
	{
		//schedule(0,0,PropaneTankDamageF,%this,%obj,%col);
		%source = %obj.sourceobject;

		//echo(%source.getclassname());
		//echo(IsInMiniGame(%source));
		//echo(IsInSameMinigame(%col,%source));
		if(isobject(%obj.sourceobject) && %obj.sourceobject.getclassname() $= "AiPlayer" && IsInMinigame(%obj.sourceobject) && IsInSameMinigame(%col,%source))
		{
			if(%col.client != 0)
			{
				%source.cols = %col.client;
			}
			%col.damage(%obj,0,%obj.getdatablock().directDamage/2,$DamageType::zombiebite);
		}
	}
	parent::onCollision(%this,%obj,%col,%fade,%pos,%normal);
}
};
activatepackage(NinjaAttackPackage);